from Plugins.Plugin import PluginDescriptor
import AC3main
import AC3setup
            
def main(session, **kwargs):
    session.open(AC3main.AC3LipSync)

def setup(session, **kwargs):
    session.open(AC3setup.AC3LipSyncSetup)

def mainSetup(menuid, **kwargs):
    if menuid == "setup": 
        return [(_("AC3 Lip Sync"), main, "ac3_lipsync", 99)]
    return [ ]

def Plugins(**kwargs):
    return [ PluginDescriptor(name=_("AC3 Lip Sync"), description=_("sets the AC3 audio Delay (LipSync)"), where = PluginDescriptor.WHERE_EXTENSIONSMENU, fnc=main), 
        PluginDescriptor(name=_("AC3 Lip Sync Setup"), description=_("Setup for the AC3 Lip Sync Plugin"), icon = "AC3LipSync.png", where = PluginDescriptor.WHERE_PLUGINMENU, fnc=setup),
        PluginDescriptor(name=_("AC3 Lip Sync"), description=_("sets the AC3 audio Delay (LipSync)"), where = PluginDescriptor.WHERE_MENU, fnc=mainSetup)]